Package com.google.android.exoplayer2.source

## Interface SampleQueue.UpstreamFormatChangedListener

- Enclosing class:
    SampleQueue

      public static interface SampleQueue.UpstreamFormatChangedListener

  A listener for changes to the upstream format.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onUpstreamFormatChanged​(Format format)` | Called on the loading thread when an upstream format change occurs.

- - ### Method Detail

    - #### onUpstreamFormatChanged

          void onUpstreamFormatChanged​(Format format)

      Called on the loading thread when an upstream format change occurs.
      Parameters:
        `format` - The new upstream format.